package com.iamberry.wechat.face.coupon;

import com.iamberry.wechat.core.entity.coupon.ExchangeItem;

import java.util.List;

/**
 *  兑换子表接口
 * @author
 * @Date 2018-12-11
 */
public interface ExchangeItemService {
    /**
     * 获取集合
     * @param  exchangeItem
     * @return List
     */
    List<ExchangeItem> getExchangeItemList(ExchangeItem  exchangeItem);
    /**
     * 查询单条数据
     * @param  id
     * @return  exchangeItem
     */
    ExchangeItem  getExchangeItemById(Integer  id);
    /**
     * 增加数据
     * @param  exchangeItem
     * @return Integer
     */
    Integer  save(ExchangeItem exchangeItem);
    /**
     * 修改数据
     * @param  exchangeItem
     * @return Integer
     */
    Integer  update(ExchangeItem  exchangeItem);
}